Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5270 - RFE: %pre(un) and %post(un) scripts should know what files were installed
Summary: RFE: %pre(un) and %post(un) scripts should know what files were installed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-21 14:55 UTC by Tim Mooney
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-21 14:55:07 UTC


Attachments (Terms of Use)

Description Tim Mooney 1999-09-21 14:55:07 UTC
Currently, there's no way to get a list of what files
were installed (full paths preferred, since the person
running rpm may relocate the package in many cases) from
a %pre or %post, and ditto for files removed in a %preun
%postun.  This information would often be extremely useful
to have.

Comment 1 Jeff Johnson 2002-07-13 20:04:07 UTC
rpm-4.1 permits concurrent access to the rpm
database, so the list of files can be gleaned
by doing, say,
	%post
	FILES="`rpm -ql %{name}-%{version}-%{release}`"
	...
Watch out for multiply installed pacakges however ...


Note You need to log in before you can comment on or make changes to this bug.